Subject: Re: bug#40238: Trying to customize the ispell choices buffer via display-buffer-alist has no effect

From: Konrad Podczeck <[email-masked]>
Date: Fri, 27 Mar 2020 12:22:40 +0100

> Am 27.03.2020 um 10:02 schrieb martin rudalics <[email-masked]>:
> 
> > The point is that “q” kills the entire (external) ispell process,
> > while “x” or “C-g” do not. But I found the relevant code in ispell.el,
> > and it was an easy matter to change it so that “q” does the job
> > without asking y-or-n.
> 
> But this part of the quit behavior is not related to whether you display
> the choices on the same or another frame.  Right?

This I dont’ know. I just changed the code, in ispell.el, lines 2320 and 2326, from

		   ((= char ?q)
		    (if (y-or-n-p "Really kill Ispell process? ")
			(progn
			  (ispell-kill-ispell t) ; terminate process.
			  (setq ispell-quit (or (not ispell-checking-message)
						(point))
				ispell-pdict-modified-p nil))
		      t))		; continue if they don't quit.

into

		   ((= char ?q)
		    ;; (if (y-or-n-p "Really kill Ispell process? ")
			(progn
			  (ispell-kill-ispell t) ; terminate process.
			  (setq ispell-quit (or (not ispell-checking-message)
						(point))
				ispell-pdict-modified-p nil))
			;; t)
		   )		; continue if they don't quit.

Konrad

> martin